<?php


/**
 * Menu callback. Displays the administration settings.
 */
function github_admin_settings() {
  $form = array();
  
  $form['settings'] = array(
    '#type' => 'vertical_tabs',
    '#weight' => 50,
  );
  
  $form['details'] = array(
    '#type' => 'fieldset',
    '#title' => t('Your Details'),
    '#group' => 'settings',
  );
  
  $form['details']['github_username'] = array(
    '#type' => 'textfield',
    '#title' => t('Your Github username'),
    '#description' => t('Your GitHub username - required to determine the link to your profile'),
    '#default_value' => variable_get('github_username', ''),
    '#required' => TRUE
  );
  
  $form['appearance'] = array(
    '#type' => 'fieldset',
    '#title' => t('Appearance'),
    '#group' => 'settings'
  );
  
  $form['appearance']['github_placement'] = array(
    '#type' => 'select',
    '#options' => array('left' => t('Left'), 'right' => t('Right')),
    '#title' => t('Placement'),
    '#description' => t('Which side should the ribbon be placed on'),
    '#default_value' => variable_get('github_placement', 'right'),
    '#required' => TRUE
  );
  
  $form['appearance']['github_colour'] = array(
    '#type' => 'select',
    '#options' => array(
      'red' => t('Red'),
      'green' => t('Green'),
      'darkblue' => t('Dark Blue'),
      'orange' => t('Orange'),
      'grey' => t('Grey'),
      'white' => t('White')
    ),
    '#title' => t('Colour'),
    '#description' => t('Which color should the ribbon have'),
    '#default_value' => variable_get('github_colour', 'red'),
    '#required' => TRUE
  );
  
  return system_settings_form($form);
}